<?php
 header("Access-Control-Allow-Origin: *");
 header("Content-Type: application/json; charset=UTF-8");
include 'dbconfig.php';

if(isset($_SERVER['HTTP_ORIGIN'])) {
        header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
        header('Access-Control-Allow-Credentials: true');
        header('Access-Control-Max-Age: 86400');    // cache for 1 day
}
// Access-Control headers are received during OPTIONS requests
if($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
            header("Access-Control-Allow-Methods: GET, POST, OPTIONS");         

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
            header("Access-Control-Allow-Headers:        {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

        exit(0);
}

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
} 
$json = json_decode(file_get_contents('php://input'), true);
$serviceid=$json['serviceid'];
$subid=$json['subid'];
$vendor_id=$json['vendor_id'];
$sqlrating=$conn->query("SELECT * FROM rating WHERE vendor_id='".$vendor_id."' and cat_id='$serviceid' and subcat_id='$subid' and status='1'");
$arr=array();
if(mysqli_num_rows($sqlrating)>0) {
while($row=mysqli_fetch_array($sqlrating)){  
    $user_id=$row['user_id'];
    $sql=$conn->query("select U.user_id, U.user_name, ur.role_id, U.last_logged_on, r.role_name FROM users U JOIN user_roles ur ON U.user_id = ur.user_id JOIN roles r ON ur.role_id = r.role_id WHERE U.active = 1 AND U.user_id = '$user_id'");
     $crow=mysqli_fetch_array($sql);
     $date=date("d, M Y",strtotime($row['created']));
     $arr[]=array("id" => $row['id'],"rating" =>number_format(round((float)$row['rating'],2),1) ,"description" =>$row['description'],"created"=>$date,"name"=>$crow['user_name']);
}}
$data = array("data" => $arr);
echo json_encode($data);     
$conn->close();
?>